Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 28 Nov 2014, 01:50
All times are UTC - 4
 Forum index » House Training » Users ( For the regulars ) » Pour les francophones
Gestion des packages et des dépots
Moderators: Béèm, darkerror05
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 2 [21 Posts]   Goto page: 1, 2 Next
Author Message
alh54

Joined: 05 Jun 2012
Posts: 4

PostPosted: Tue 05 Jun 2012, 16:25    Post subject:  Gestion des packages et des dépots
Subject description: Comment gèrer simplement les packages et les dépots?
 

Bonsoir à tous,

Pour redonner âme à un vieux portable, je viens d'installer toutou linux 4.3.1, installation sans soucis, je suis impressionné par la légèreté de cette distribution, cependant je suis dérouté par la gestion des paquets et des dépots.

Par défaut, il y a PPM (Puppy Package Manager), à mon avis il a 2 défauts:
1- Pour ajouter un dépot, il faut bricoler les fichiers dans /root/.packages
2- Quand je fais une recherche d'un paquet, il m'affiche les résultats sans spécifier lesquels sont déja installés.

J'ai essayé une alternative gslapt, mais il ne marche pas (objet d'un autre post).

Merci pour tout éclaircissement.
Back to top
View user's profile Send private message 
Freco


Joined: 20 Feb 2011
Posts: 148

PostPosted: Sun 10 Jun 2012, 10:45    Post subject:  

Salut alh54,

Oui, le fonctionnement des dépôts sur puppy est assez particulier.

Comme tu l'as vu, tu peux rajouter des paquets à partir du PPM (assez anciens pour la 431), mais tu peux aussi trouver des paquets qui t'intéressent en fouinant sur le forum ou sur le site de toutou/puppy.

Par exemple, j'aime bien ce lien avec des paquets récent pou la 431 et d'autre pour la lupu 528 (ou ASRI 300eduprofs):
http://asri.la-super-boite.fr/ludo-educative_paquets_populaires/3xx_lucid_divers/

En fait, vu que tous les paquets sont compressés dans le fichier .sfs, les mises à jours se font en remplaçant ton fichier .sfs par le nouveau, lorsque qu'une nouvelle version est arrivé (par exemple si la version Wary 5.3.1 arrive, tu remplaces ton .sfs de la wary 5.3.0 ou antérieur par le nouveau, et le fichier de sauvegarde s'adaptera au premier démarrage.)

Pour toutou, les mises à jours sont disponibles à partir de paquets.

Et si tu veux retirer des paquets pour te personnaliser ton toutou, il faut passer par la remasterisation, et ainsi ajouter/retirer les paquets que tu veux (il y a des fils pour ce sujets où tout est expliqué).

Voilà, j'espères t'avoir plus éclairé qu'embrouillé...

Freco.
Back to top
View user's profile Send private message 
alh54

Joined: 05 Jun 2012
Posts: 4

PostPosted: Mon 11 Jun 2012, 10:11    Post subject:  

Merci pour ta réponse qui m'a beaucoup éclairé et qui ne fait que confirmer mes appréhensions: pour les paquets, il faut chercher, se débrouiller à droite et à gauche, avec le risque d'incompatibilité et du manque de dépendances. Mais il faudra bien que m'y fasse, je ferai des efforts.

Si j'ai des difficultés, et je sais que j'en aurai, je compterai sur les habitués de puppy.

Mes difficultés proviennent de 5 ans d'utilisation exclusive de Fedora, une distribution qui marche toute seule, avec des dépôts centralisés etc ...

En fin de compte, l'utilisation de toutou linux est une occasion de voir un autre paysage.
Back to top
View user's profile Send private message 
Pelo


Joined: 10 Sep 2011
Posts: 3357
Location: Mer méditerrannée (1 kms°)

PostPosted: Tue 17 Jul 2012, 15:16    Post subject: Un PEt est le résultat d'un travail énorme, merci messieurs
Subject description: Moi je trouve le PPM très pratique
 

Si je ne trouve pas mon bonheur dans le PPM, je vais chercher sur ibiblio.org puppy.
Je trouve génial le syteme puppy. Son gros défaut, c'est la documentation. On charge le pet, on regarde ce qu'il y a dedans.
On garde ou on supprime.
On pourrait pas faire un catalogue, avec une description assez étoffée (comme UBUNTU) ?

Nous avons beaucoup de travail de suppression du gras pour sérieusement alléger les binaires des paquets PET
...
Mettre à jour l’infrastructure glibc, gcc, gtk, cups, ghostscript et autres librairies du système, créer des PETs et des fichiers 'devx' et faire que tout ça fonctionne nous prend un temps énorme.

Last edited by Pelo on Tue 25 Nov 2014, 06:56; edited 1 time in total
Back to top
View user's profile Send private message Yahoo Messenger 
Pelo


Joined: 10 Sep 2011
Posts: 3357
Location: Mer méditerrannée (1 kms°)

PostPosted: Wed 13 Feb 2013, 13:28    Post subject: PPM Vérifier si le logiciel est déjà installé
Subject description: Puppy es demande si on veut écraser la version installée
 

Des logiciels n'apparaissent pas dans le menu bien qu'ils soient déjà installés.
Exemple, j'ai voulu chargé 'load sfs on the fly' parce ce que je ne le voyais pas dans le menu. Puppy es me signale qu'elle l'a déjà et où le trouver, ce qui est sympa.
Toutes les distros ne le font pas.

bla bla bla :
Je suis surpris que vous trouviez le package manager compliqué. Normalement il n'y a pas à bidouiller quoique ce soit, il suffit de ccliquer sur le paquet qui vous interésse, choisir dans la liste le site de téléchargement et ça roule.

Par contre le contenu ne se modernise pas trop, et il y a plein de trouvailles sur le forum qu'on ne trouve que dans les magasins de professionnels de Puppy : ASRI,shinobar, Zigbert ou autres.
PPM.jpg
 Description   Bien cette information intermédiaire !
 Filesize   34.02 KB
 Viewed   373 Time(s)

PPM.jpg

Back to top
View user's profile Send private message Yahoo Messenger 
did18

Joined: 19 Nov 2014
Posts: 9

PostPosted: Thu 20 Nov 2014, 06:34    Post subject: Gestion des packages et des dépots
Subject description: Ajouter un depot
 

Bonjour à tous d'un p'tit nouveau

'Consommateur' déçu de W..s, je me suis tourné vers le monde du libre, il y a quelques mois et une installation d'Ubuntu 12.04LTS sur mon portable.
CPU 1,6Ghz, Ram 512Mo, et quelques HDD de 20Go ou 60Go (que je peux inter-changer).

Le gros soucis avec Ubuntu (comme d'ailleurs la grande majorité des descendants de Debian -et Debian elle même-) est leurs 'gloutonnerie' des ressources, sans parler du bureau 'Unity' d'Ubuntu (que l'on aime ou pas, mais qui a le mérite d'exister et que l'on peut très facilement remplacer par la 'session-fallback' -mais c'est là un autre débat-)

Bref j'ai 'découvert' en début de mois qu'il existait une autre alternative aux poids lourds que sont les distributions 'linuxienne' précitées.
Je parle bien évidemment de Toutou Linux, enfin je devrai plutôt dire de la meute de Toutou(s) Linux...
Je reconnais avoir été 'bluffé' par la légèreté et la rapidité de ces distributions, surtout lors des accès internet (je dirai moitié moins de temps) ou lors de la fermeture d'une session...
J'ai testé (à l'arrache) une des dernières 'Slacko', 'Wolks 2014' de l'excellent J.J.Moulinier, finalement mon choix s'est porté sur 'lxprecise-retro-14.02 NO PAE' qui a le Kernel 3.2.48 (mais comme dit plus haut, je pourrai très facilement changer de distribution)...
Si l'installation (qui est à peu près identique à toutes les distributions 'Toutou'), il en est de même lorsqu'il s'agit d'ajouter un dépôt au 'Gestionnaire des paquets' ! (c'est un peu 'là, débrouille toi...').
J’essaie (depuis plusieurs jours) d'ajouter un dépôt au 'Gestionnaire des paquets'...
Comme le précise alh54 :
Quote:
Par défaut, il y a PPM (Puppy Package Manager), à mon avis il a 2 défauts:
1- Pour ajouter un dépot, il faut bricoler les fichiers dans /root/.packages
2- Quand je fais une recherche d'un paquet, il m'affiche les résultats sans spécifier lesquels sont déja installés.

J'ai essayé une alternative gslapt, mais il ne marche pas (objet d'un autre post).

+1 pour Gslapt (qui est resté en Anglais sur mon système et qui n'accepte pas ou mal l'ajout de dépôts)

A titre d'exemple, pour installer 'Gambas3', sous Ubuntu j'utilise les commandes suivantes :

sudo add-apt-repository ppa:gambas-team/gambas3
sudo apt-get update
sudo apt-get install gambas3

Question simple : "Comment dois-je faire pour ajouter ce dépôt dans lxprecise-retro-14.02 ?".

J'ai bien noté que sous 'Toutou', on est 'loggé en admin, bien qu'il me semble avoir vu quelque par que l'on pouvais (a titre expérimental) créer un compte 'user' -cela fera certainement l'objet d'un autre 'post'-, simplement pour dire qu'ici la commande 'sudo' n'aura pas lieu d'être...

Je vous remercie par avance pour toutes vos réponses et/ou précisions.
Bonne fin de journée...
Back to top
View user's profile Send private message 
musher0


Joined: 04 Jan 2009
Posts: 4352
Location: Gatineau (Qc), Canada

PostPosted: Thu 20 Nov 2014, 14:37    Post subject:  

Réponse tordue : Smile
C'est parce qu'il y a confusion entre package et pacage... Smile
Tel quel, tu vois, les logiciels sont dans le champ ! Smile

musher0

_________________
"Logical entities must not be multiplied needlessly." / "Il ne faut pas multiplier les êtres logiques inutilement." (Ockham)
Back to top
View user's profile Send private message Visit poster's website 
did18

Joined: 19 Nov 2014
Posts: 9

PostPosted: Fri 21 Nov 2014, 06:58    Post subject:  

Bonjour musher0
Merci pour ta réponse et ce début d'explication...
Autrement dit, ce serai une jolie manière dire que 'PPM' ne gère pas les dépôts mais uniquement les paquets ?
Quote:
C'est parce qu'il y a confusion entre package et pacage... Smile
Tel quel, tu vois, les logiciels sont dans le champ ! Smile

Dans ce cas, tous les logiciels seraient dans le 'bocage'... (pas cool !)

'PPM' = Manager de Paquets Puppy
Donc l'utilisateur 'lambda' que je suis se pose légitimement la question suivante : "Pourquoi n'y-a-t-il pas de 'PDM' ?
'PDM' = Manager de Dépots Puppy

Pour illustrer mon propos il y a : http://doc.ubuntu-fr.org/yppamanager
Ou encore : https://launchpad.net/y-ppa-manager

Étonnant car la version 2 (de Gambas) figure déjà dans PPM...
Dans PPM taper : gambas* dans le champ de recherche puis bouton 'Go' puis sélectionner le bouton 'Search' de la frame 'Search all repositories'

Bonne fin de journée.
Back to top
View user's profile Send private message 
musher0


Joined: 04 Jan 2009
Posts: 4352
Location: Gatineau (Qc), Canada

PostPosted: Fri 21 Nov 2014, 11:29    Post subject:  

Bonjour, did18.

package, pacage, bocage... Pourquoi pas ? Wink

Vu qu'il s'agit d'un langage de programmation que je ne connais pas, je
vais signaler ton post ci-dessus à "Médor", qui, je crois, pourra mieux te
dépatouiller que moi. (Il est plus expérimenté.)

Tu as vu juste avec PPM mais pas de PDM... C'est un peu au p'tit bonheur
la chance... La situation s'améliore, mais Puppy|Toutou étant une distro
essentiellement communautaire, le développement et les ressources se
font "au besoin" des membres du forum et des utilisateurs, pas selon un
grand plan directeur, comme pour ubuntu ou DebIan.

Certains membres anglophones font néanmoins un travail de
rassemblement gigantesque, Puppus DogFellow, par exemple, -- ou "ally",
le responsable de la section des Puppys dans la "Internet Archive". Du
côté francophone, on est peu nombreux, et on fait ce qu'on peut avec les
moyens du bord -- ce qui est déjà beaucoup, à tout considérer.

Au sujet de gambas3, le mieux serait probablement que quelqu'un te le
compile pour ton lxpup. Je fais de temps à autre des compilations, mais
je ne m'y risquerais pas avec un langage de programmation : comme je
ne connais pas ce langage, je ne saurais pas évaluer si la compilation est
bonne, tu vois !

A+

musher0

_________________
"Logical entities must not be multiplied needlessly." / "Il ne faut pas multiplier les êtres logiques inutilement." (Ockham)

Last edited by musher0 on Sat 22 Nov 2014, 03:53; edited 2 times in total
Back to top
View user's profile Send private message Visit poster's website 
did18

Joined: 19 Nov 2014
Posts: 9

PostPosted: Fri 21 Nov 2014, 17:48    Post subject:  

Bonsoir musher0

Gambas est à Linux ce que Visual Basic (VB) est à Windows...
C'est un raccourci bien sur, mais ce n'est que pour illustrer la fonction de Gambas.

Le site officiel est : http://gambas.sourceforge.net/fr/main.html

Je suis tout à fait d'accord avec toi pour dire que les développeurs de toutes les distributions Linux ont bien du mérite et que ceux qui participent (de près ou de loin) à l'élaboration des logiciels n'en ont pas moins. Tous font un travail remarquable !

Merci pour ton intervention auprès de "Médor".

Bonne soirée.
Back to top
View user's profile Send private message 
musher0


Joined: 04 Jan 2009
Posts: 4352
Location: Gatineau (Qc), Canada

PostPosted: Fri 21 Nov 2014, 18:03    Post subject:  

Merci de tes bons mots.

Espérons que le camarade Médor verra mon message et aura un peu de temps libre.

Au plaisir !

_________________
"Logical entities must not be multiplied needlessly." / "Il ne faut pas multiplier les êtres logiques inutilement." (Ockham)
Back to top
View user's profile Send private message Visit poster's website 
Médor


Joined: 26 May 2011
Posts: 1779

PostPosted: Sat 22 Nov 2014, 02:18    Post subject:  

Bonjour,

Me voici suite au MP de Musher0 Smile

Compiler Gambas n'est pas une tâche aisée ce dernier nécessite de nombreuses dépendances, voir sur ce fil gambas3-3.1.1.pet (28Mo) message n° 2 de HoerMirAuf ou le sfs de gambas3.4.2 pour Lucid (seulement ?) de 666phill.
J'ai transformé le pet de gambas3-3.1.1 en sfs, il fonctionne ici sur Slacko-5.7.0.


Cordialement,
Médor.
Capture_2014-11-22(1).jpg
 Description   
 Filesize   58.61 KB
 Viewed   61 Time(s)

Capture_2014-11-22(1).jpg


_________________
Recherches Puppy|Index Puppy|Index FR|Tuto Toutou
Back to top
View user's profile Send private message 
musher0


Joined: 04 Jan 2009
Posts: 4352
Location: Gatineau (Qc), Canada

PostPosted: Sat 22 Nov 2014, 03:56    Post subject:  

Un gros merci à Médor ! Smile
_________________
"Logical entities must not be multiplied needlessly." / "Il ne faut pas multiplier les êtres logiques inutilement." (Ockham)
Back to top
View user's profile Send private message Visit poster's website 
did18

Joined: 19 Nov 2014
Posts: 9

PostPosted: Sat 22 Nov 2014, 17:31    Post subject:  

Bonsoir Médor et musher0

Et un grand Merci a vous deux.

Compréhension du problème et solution rapide ! (c'est R.A.R! Rien A Redire Wink.

Musher0 as eu raison de faire confiance à ton expérience Médor, ton expertise a permis de trouver une solution rapide à mon problème d'installation.
Je peux confirmer que le 'Gambas3.sfs' fonctionne très bien sur 'lxprécise-14.02 (rétro NON PAE)'.
A contrario le sfs monte bien sous 'Wolx2014' mais 'Gambas3' ne fonctionne pas.
J'en déduis une certaine compatibilité entre 'Slacko-5.7.0', 'lucid' et 'lxprécise' tout du moins pour Gambas3.

Médor, (je vais faire mon 'lourdeau') aurais-tu un tuto à me conseiller, sur la façon de procéder quand à la création de fichiers sfs ? D'abord pour ma culture perso et ensuite parce que je ne vais pas faire appel à tes services à chaque nouvelle version de Gambas...(je crois que la 3.6 est en service depuis quelques mois...)

Je souhaiterai m'excuser auprès de alh54 (si tu repasses par là...) pour avoir 'squatté' une partie de ton post, car la question originale reste d'actualité...

Médor si tu peux nous éclairer...?

Merci encore...
Bonne soirée.
Back to top
View user's profile Send private message 
musher0


Joined: 04 Jan 2009
Posts: 4352
Location: Gatineau (Qc), Canada

PostPosted: Sat 22 Nov 2014, 22:09    Post subject:  

Y a pas de quoi ! Smile
_________________
"Logical entities must not be multiplied needlessly." / "Il ne faut pas multiplier les êtres logiques inutilement." (Ockham)
Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 1 of 2 [21 Posts]   Goto page: 1, 2 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Users ( For the regulars ) » Pour les francophones
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.2329s ][ Queries: 13 (0.1431s) ][ GZIP on ]